﻿using Syncfusion.SfDataGrid.XForms.DataPager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfDataGrid.XForms;
using Syncfusion.Data;
using System.Reflection;
using System.Globalization;
using System.IO;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Collections;
using Syncfusion.GridCommon.ScrollAxis;
using Syncfusion.SfDataGrid.XForms.Renderers;

namespace DataGridDemo
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            this.dataGrid.CellRenderers.Remove("ComboBox");
            this.dataGrid.CellRenderers.Add("ComboBox", new CustomComboBox());
        }
    }

    public class CustomComboBox : GridCellComboBoxRenderer
    {
        public override bool BeginEdit(RowColumnIndex rowColumnIndex, CellElement cellElement, GridColumn column, object rowData)
        {
            DependencyService.Get<IKeyboardDependency>().ShowKeyboard();
            return base.BeginEdit(rowColumnIndex, cellElement, column, rowData);
        }
    }

    public class MyComboBox : GridComboBox
    {
        public  MyComboBox()
        {
            this.BackgroundColor = Color.Green;
        }
    }
}
